package com.xyzc.start.service;

import com.alibaba.fastjson.JSONObject;
import com.xyzc.start.domain.NpCommitTrain;
import com.xyzc.start.domain.NpSound;
import com.xyzc.start.domain.NpTemplate;
import com.xyzc.start.domain.NpVideoDraft;
import lombok.extern.slf4j.Slf4j;

import java.security.NoSuchAlgorithmException;
import java.util.List;

import static com.xyzc.start.utils.EncryptUtil.getMD5Byparam;
public interface INumPersonService {

    void freeModelListQuery();


    /**
     * 查询用户下的数字人模板
     * @return
     */
//    List<NpCommitTrain> queryTrainingModel();

    /**
     * 数字人训练的异步通知
     * @param notify
     * @return
     */
    String numberPersonCommitNotify(String notify);

    /**
     * 获取训练id
     * @param trainingId
     * @return
     */
    String getTrainingInfo(String trainingId);

//    NpVideoDraft getTemplateDraft(String templateId);

    void saveTemplateDraft(NpVideoDraft npVideoDraft);
}
