package com.xyzc.start.utils;

import java.nio.charset.StandardCharsets;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

import javax.crypto.Cipher;
import javax.crypto.spec.SecretKeySpec;

import cn.hutool.core.util.HexUtil;
import cn.hutool.crypto.SecureUtil;

public class EncryptUtil {

    /**
     * AES加密
     *
     * @param data
     * @return
     * @throws Exception
     */
    public static String encryptAES(String data, String keyStr) throws Exception {
        Cipher cipher = Cipher.getInstance("AES/ECB/PKCS5Padding");
        SecretKeySpec key = new SecretKeySpec(keyStr.getBytes(StandardCharsets.UTF_8), "AES");
        cipher.init(1, key);
        return HexUtil.encodeHexStr(cipher.doFinal(data.getBytes(StandardCharsets.UTF_8)));
    }

    /**
     * AES解密
     *
     * @return
     * @throws Exception
     */
    public static String decryptAES(String base64Data, String keyStr) throws Exception {
        Cipher cipher = Cipher.getInstance("AES/ECB/PKCS5Padding");
        SecretKeySpec key = new SecretKeySpec(keyStr.getBytes(StandardCharsets.UTF_8), "AES");
        cipher.init(2, key);
        return new String(cipher.doFinal(HexUtil.decodeHex(base64Data)));
    }

    /**
     * MD5加密
     */
    public static String getMD5Byparam(String param) {
        try {
            MessageDigest md = MessageDigest.getInstance("MD5");
            byte[] messageDigest = md.digest(param.getBytes());
            StringBuilder hexString = new StringBuilder();
            for (byte b : messageDigest) {
                String hex = Integer.toHexString(0xFF & b);
                if (hex.length() == 1) {
                    hexString.append('0');
                }
                hexString.append(hex);
            }
            return hexString.toString();
        } catch (NoSuchAlgorithmException e) {
            e.printStackTrace();
        }
        return "";
    }
    
    public static void main(String[] args) {
        String key = "www.kabaoka.com withdrawAccount";
        String md5 = SecureUtil.md5(key);
        System.out.println(md5);
    }

}
