package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 基础用户订单详细
 *
 * @author 杨兴卓
 */
@Data
@TableName("xy_base_user_order_detail")
public class BaseUserOrderDetail {

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;
    private Long baseUserOrderId;

    private Long baseUserId;

    private Long agentId;

    private Long goodsId;

    private Integer goodsType;

    private Integer goodsCount;
}
