package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * xy_np_template_draft
 *
 * @author yz
 * @date 2024-08-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
@TableName("xy_np_template_draft")
public class NpTemplateDraft extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 
     */
    private Long baseUserId;

    /**
     * 封面Url
     */
    private String draftImgUrl;

    /**
     * 草稿名称
     */
    private String draftName;

    /**
     * 声音id
     */
    private Long soundId;

    /**
     * 音乐id
     */
    private Long musicId;

    /**
     * 背景图片id
     */
    private Long materialId;

    /**
     * ai文案内容
     */
    private String content;

    /**
     * 画面素材
     */
    private String nodes;

    /**
     * 模特大小及位置
     */
    private String style;

    /**
     * 字幕样式
     */
    private String srtStyle;


}
