package com.xyzc.start.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 用户登录信息
 *
 * @author 墨凡
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AccessTokenVo extends BaseUserVo {

    /**
     * 检查状态，0-等待扫码，1-扫码成功，2-已过期
     */
    private Integer status;

    /**
     * 返回登录成功的token
     */
    private String access_token;


}
