package com.xyzc.start.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

/**
 * 用户精选应用
 */
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BaseUserSelectAppVo {



    /**
     * 职业名称
     */
    private String careerName;


    /**
     * 应用Id
     */
    private Long appId;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 应用描述
     */
    private String appDesc;

    /**
     * 是否精选，0-未精选，1-精选
     */
    private Integer isChoiceness;

    /**
     * 路由地址
     */
    private String routePath;

    /**
     * 应用图标
     */
    private String appIcon;

    /**
     * ai模型id
     */
    private Long aiModelId;

    /**
     * ai模型图标
     */
    private String aiModelIcon;

    /**
     * ai模型名称
     */
    private String aiModelName;

    /**
     * 使用数量真
     */
    private Integer useCount;

    /**
     * 该用户是否使收藏
     */
    private Integer isCollect;

}
