package com.xyzc.start.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xyzc.start.domain.*;

import java.util.List;

public interface INpQueryService {


    /**
     * 提交训练视频
     */
    public NpCommitTrain queryTrainVideoById(String trainId);

    Page<NpSound> queryCompanySound(Integer type, String name, Integer page, Integer size);

    Page<NpFormwork> getCommonTemplate(Integer formworkType, Integer type, Integer page, Integer size);

    Page<NpTemplateDraft> sortDraftByUpdate(Integer page, Integer size);

    /**
     * 查询共同模板
     * @return
     */
    List<NpTemplate> queryCommonTemplate(Integer page, Integer size);
    Page<NpCommitTrain> queryTrainingModel(Integer type, String name, Integer page, Integer size);

    NpTemplateDraft getTemplateDraft(String templateId);

    public List<NpCommitTrain> queryTrainVideo(Integer page, Integer size);

    /**
     * 查询音乐
     */
    Page<NpMusic> queryMusic(Integer type, Integer pageNum, Integer size);


//    List<NpText> queryNpText(NpText npText);


    public List<NpMaterial> queryMaterial(String rootId, Integer page, Integer size);
    /**
     * 请求硅基接口
     *
     * @param rootId
     * @param page
     * @param size
     * @return
     */
    public JSONObject queryOpenAPIMaterial(Integer rootId, Integer page, Integer size);
}
